Name:           qpwgraph
Version:        0.4.1
Release:        %mkrel 1
Summary:        PipeWire Graph Qt GUI Interface
Group:          Sound/Midi
License:        GPLv2+
URL:            https://gitlab.freedesktop.org/rncbc/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qttools6
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(alsa)

%description
qpwgraph is a graph manager dedicated to PipeWire, using the Qt C++ framework,
based and pretty much like the same of QjackCtl.

%prep
%autosetup -n %{name}-v%{version}

%build
%cmake_qt6

%cmake_build

%install
%cmake_install

#menu
desktop-file-install \
  --remove-key="Version" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/org.rncbc.%{name}.desktop

%files
%doc ChangeLog README.md
%license LICENSE.md
%{_bindir}/%{name}
%{_datadir}/applications/org.rncbc.%{name}.desktop
%{_metainfodir}/org.rncbc.%{name}.metainfo.xml
%{_datadir}/mime/packages/org.rncbc.%{name}.xml
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar 19 2023 ghibo <ghibo> 0.4.1-1.mga9
+ Revision: 1949752
- Update to release 0.4.1

* Wed Dec 28 2022 daviddavid <daviddavid> 0.3.9-1.mga9
+ Revision: 1927402
- new version: 0.3.9

* Sun Dec 11 2022 daviddavid <daviddavid> 0.3.8-1.mga9
+ Revision: 1920805
- initial package qpwgraph

